
#include <graphics/gfxbase.h>
#include <graphics/view.h>
#include <functions.h>
#include <stdio.h>

struct GfxBase *GfxBase = NULL;


main()
{
	GfxBase = (struct GfxBase *)OpenLibrary("graphics.library",0L); 

	if (GfxBase == NULL)
	{
		fprintf(stderr,"couldn't open graphics.library\n");
		exit(1);
	}

	printf("GfxBase's copinit list:\n");
	copdis(GfxBase->copinit);

	printf("\nTop Viewport's display L instructions:\n");
	copdis(GfxBase->ActiView->ViewPort->DspIns->CopLStart);

	printf("\nTop Viewport's display S instructions:\n");
	copdis(GfxBase->ActiView->ViewPort->DspIns->CopSStart);

	printf("\nCurrently active LOF copper list:\n");
	copdis(GfxBase->ActiView->LOFCprList->start);

	/* only seems to work in Interlace
	 * printf("\nCurrently active SHF copper list:\n");
	 * copdis(GfxBase->ActiView->SHFCprList->start);
	 */
}

